
public class NumberUtilities {
    public static String getRange(int start) {
        String range = "";
        for(int i=0; i<start; i++){
            range += i;
        }
        return range;
    }

    public static String getRange(int start, int stop) {

        String range = "";

        for(int i=start; i<stop; i++){
            range += i;
        }

        return range;
    }

    public static String getRange(int start, int stop, int step) {
        String range = "";

        for(int i=start; i<stop; i+=step) {
            range += i;
        }
        return range;
    }

    public static String getEvenNumbers(int start, int stop) {
        //start = (start % 2 == 1) ? start + 1 : start;
        
        if (start % 2 == 0) {
            return getRange(start, stop, 2);
        } else {
            return getRange(start + 1, stop, 2);
        }
    }

    public static String getOddNumbers(int start, int stop) {
        start = (start % 2 == 0) ? start + 1 : start;
            return getRange(start, stop, 2);
    }

    public static String getExponentiations(int start, int stop, int exponent) {
        
        String range = "";
        
        for(int i=start; i<stop + 1; i++) {
            range += (int)Math.pow(i, exponent);
        }
        return range;
    }
}
