
public class TableUtilities {
    public static String getSmallMultiplicationTable() {
        return getMultiplicationTable(5);
    }

        public static String getLargeMultiplicationTable() {
            return getMultiplicationTable(10);
        }

        public static String getMultiplicationTable(int tableSize) {
        StringBuilder multTable = new StringBuilder();
        
        for(int i=1; i<=tableSize; i++){
            for(int j=1; j<=tableSize; j++){
                String number = String.format("%3d |", j*i);
                multTable.append(number);
            }
            multTable.append("\n");        
        }
        return multTable.toString();
    }
}
